Jump to: navigation, search

Prerequisites

Modified in 8.5.2


To work with Genesys Mobile Services (GMS), you must ensure that your system meets the software requirements established in the Genesys Supported Operating Environment Reference Manual, as well as meeting the following minimum requirements:

Hardware Requirements

The following are minimum requirements:

  • CPU: Quad core
  • Memory: 4GB
  • Disk: 160GB
  • At least 2-3 nodes recommended for redundancy and availability

OS Requirements

Important
For Linux installations, the Linux compatibility packages must be installed prior to installing the Genesys IPs.

Browser Support

Antivirus

Antivirus software can affect system performance and call response time in some scenarios. Genesys recommends keeping antivirus software enabled on hosts where Genesys Mobile Services is running and analyzing the performance of all applications on a particular host. If some applications are more vulnerable than GMS, consider moving them to a different host. If GMS seems to be related to significant overhead, Genesys does not recommend excluding GMS from the antivirus scanning. Instead, consider disabling the scanning of the following folders:

  • The folder in which GMS is running.
  • Any folder containing log files.
Important
The antivirus software must not restrict any ports that Genesys applications are using.

Java Requirements

Java 64 bits

  • Before 8.5.206.04: Support for JDK 8 only
  • Starting in 8.5.206.04: Support for Open JDK 8
  • Starting in 8.5.208.09: Support for Open JDK 11 and for Oracle JDK 11
Tip
Edit JAVA_HOME to point to the JDK installation folder, for example, C:\Program Files\Java\<your JDK>. In some scenarios, the GMS installer may fail to find Open JDK 1.x. The workaround is to install Oracle JDK first, proceed with the installation, then once GMS is installed, point the JAVA_HOME variable to OpenJDK.

Cassandra Support on Linux

Modified in: 8.5.230.06
  • Cassandra 3.x: Tested version is 3.11
  • Cassandra 4.x: Tested version is 4.0
Tip
When you deploy Genesys Mobile Environment for Chat API V2, Email API V2, and Open Media API V2, Cassandra is required only if you enable mobile push notifications.

Genesys Environment

Modified in 8.5.200.07, 8.5.201.04

In addition to having a Genesys Management Framework 8.1 environment installed and running, the following table lists the Genesys components that are used with a GMS installation.

Genesys Component Minimum Version Required Comments
Orchestration Server (ORS)
  • 8.1.400.26
  • 8.1.400.74 for GMS 8.5.201.04 and higher
Optional, installed and running:
  • An HTTP port must be enabled in the related Application object.
  • The ORS server must use the Orchestration Server type in Configuration Manager.
Important
You need a minimum of ORS 8.1.300.30 to be able to do Load Balancing with GMS.
Universal Routing Server (URS) 8.1.400.45 Mandatory, required for the GMS services, and if you plan to use URS-based dialing in Callback applications.
Interaction Routing Designer (IRD) 8.1.400.26 Mandatory, required for strategies running on URS.
SIP Server 8.1.100.67
  • SIP or Inbound Voice is required for agents.
  • SIP Server is recommended for outbound calling for Callback.
Chat Server 8.1.000.26 Used for Chat support.
8.5.105+ Required if you plan to use features related to file management.
8.5.109+ Required if you plan to use Digital Channels Chat over CometD API feature.
Interaction Server 8.0.200.11 Used for Chat support.
Universal Contact Server (UCS) 8.5.200.19 Used for Digital Channel.
E-mail Server (ESJ) 8.5.103.01 Used for Digital Channel.
Stat Server 8.x Used to obtain statistics.
Media Server 8.1.410.33 Used for Callback services, in order to play treatments and use Call Progress Detection (CPD) for outbound calls.
Resource Manager 8.1.410.13 Used for Callback services, in order to play treatments and use Call Progress Detection (CPD) for outbound calls.
Workspace Desktop Edition (optional) 8.5.111.21 Support for Genesys Callback. This component is not mandatory.

Historical Reporting for Callback

Mandatory Genesys Components
Component Minimum Version
Orchestration Server 8.1.400.24
Universal Routing Server 8.1.400.22
Interaction Concentrator 8.1.506.07
Genesys Info Mart 8.5.005 (GA)
Reporting and Analytics Aggregates (RAA) 8.5.000.02
Genesys Interactive Insights (GI2) 8.5.000.02
This page was last edited on May 20, 2022, at 11:56.
blog comments powered by Disqus